org.apache.felix.ipojo.extender.queue

## Interface JobInfo

All Known Implementing Classes:
  JobInfoCallable

    public interface JobInfo

Interface to retrieve information about the job execution.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDescription()` Gets the job description
`long` `getEndTime()` Gets the completion time.
`long` `getEnlistmentTime()` Gets the submission time of the job.
`long` `getExecutionDuration()` Gets the execution duration.
`java.lang.String` `getJobType()` Gets the job's type identifier.
`long` `getStartTime()` Gets the starting time.
`long` `getWaitDuration()` Gets the time spent in the waiting queue.

### Method Detail

#### getEnlistmentTime

    long getEnlistmentTime()

Gets the submission time of the job.

Returns:
  the submission time

#### getStartTime

    long getStartTime()

Gets the starting time. This is the date when the job execution starts.

Returns:
  the start time

#### getEndTime

    long getEndTime()

Gets the completion time. This is the date when the job execution ends.

Returns:
  the end time

#### getWaitDuration

    long getWaitDuration()

Gets the time spent in the waiting queue.

Returns:
  the waited time

#### getExecutionDuration

    long getExecutionDuration()

Gets the execution duration.

Returns:
  the execution duration, -1 if this duration cannot be computed

#### getDescription

    java.lang.String getDescription()

Gets the job description

Returns:
  the description

#### getJobType

    java.lang.String getJobType()

Gets the job's type identifier. May be `null` if not provided.

Returns:
  job type identifier